<?php
namespace Ig\IgChart\Utility;

class ChartUtility implements \TYPO3\CMS\Core\SingletonInterface
{
    private $id=0;

    public function getId()
    {
        $this->id++;
        return $this->id;
    }
  

    /**
   * Converts hex to rgba. This is used to set the color inside of the
   * chart.js datasets correctly.
   *
   * Example:
   * hex2rgba('#FFBDAD', 0.5) = rgba(255,189,173,0.5)
   *
   * @param string $color - A six character hex string
   * @param float $alpha - The alpha value of the color. Default value is 1.
   * @return string
   */
    public function hex2rgba($color, $alpha = 1)
    {
        if (strpos($color, 'rgba') === false) {
            $color = str_replace('#', '', $color);
            $r = hexdec(substr($color, 0, 2));
            $g = hexdec(substr($color, 2, 2));
            $b = hexdec(substr($color, 4, 2));
            return 'rgba(' . $r . ',' . $g . ',' . $b . ',' . $alpha . ')';
        } else {
            $rgba = $this->getRgbFromRgba($color);
            return 'rgba(' . $rgba[0] . ',' . $rgba[1] . ',' . $rgba[2] . ',' . $alpha . ')';
        }
    }
    public function getAlphaFromRgba($color)
    {
        $rgba = explode(',', preg_replace('/[rgba()]/', '', $color));
        return array_pop($rgba);
    }
    public function getRgbFromRgba($color)
    {
        $rgba = explode(',', preg_replace('/[rgba()]/', '', $color));
        array_pop($rgba);
        return $rgba;
    }
}
